/*
 * "buzz.h"
 */

/*
 * Message tabel entry.  Bevat pointer naar (char) message,
 * en (relatief percentage) kans op selektie.
 */
typedef	struct {
	char	  *_mesg;	/* bericht (string) */
	unsigned   _chance;	/* rel. % kans erop */
} MESSAGE;

extern MESSAGE	move_opponent [];	/* stuk van tegenpartij bewegen */
extern MESSAGE	move_empty [];		/* lege plaats bewegen		*/
extern MESSAGE	move_flag [];		/* vlag bewegen			*/
extern MESSAGE	move_bomb [];		/* bom bewegen			*/
extern MESSAGE	kill_own [];		/* eigen stuk slaan		*/
extern MESSAGE	illegal [];		/* andere illegale zetten	*/
extern MESSAGE	finished_premature [];	/* voortijdige 'F' 		*/
extern MESSAGE	in_water [];		/* in het water gaan staan	*/
extern MESSAGE	lose_capture [];	/* bij slaan van stuk (verloren)*/
extern MESSAGE	win_capture [];		/* bij slaan van stuk (gewonnen)*/

/*
 * Buzz (tabel) geeft een message uit tabel terug.
 */
char	*buzz ();
